using LiteCqrs;
using TeleWave.Application.Common.Interfaces;
using TeleWave.Application.Common.Models;

namespace TeleWave.Application.Admin.Users.UnblockUser;

public sealed class UnblockUserCommandHandler(IIdentityService identityService)
    : ICommandHandler<UnblockUserCommand, Result>
{
    public Task<Result> Handle(UnblockUserCommand command, CancellationToken cancellationToken) =>
        identityService.UnblockUserAsync(command.UserId, cancellationToken);
}
